<h1>Les acteurs</h1>

<h2>Recherche</h2>

<div class="form-row">
  <div class="form-group col">
    <label for="titreInput">Nom de l'acteur</label>
    <input type="text" class="form-control" id="titreInput" [(ngModel)]="rechercheNom" (ngModelChange)="chercheActeur()">
  </div>
</div>

<div class="form-row">
  <div class="form-group col">
    <label for="dateNaissInput">Né après</label>
    <input type="date" class="form-control" id="dateNaissInput" [(ngModel)]="rechercheDateNaiss" (ngModelChange)="chercheActeur()">
  </div>

  <div class="form-group col">
    <label for="dateDecesInput">Mort avant</label>
    <input type="date" class="form-control" id="dateDecesInput" [(ngModel)]="rechercheDateDeces" (ngModelChange)="chercheActeur()">
  </div>
</div>

<h2>Liste</h2>

<table class="table">
  <thead>
  <tr>
    <th scope="col">Prénom Nom</th>
    <th scope="col">Date de naissance</th>
    <th scope="col">Date de déces</th>
    <th scope="col">Actions</th>
  </tr>
  </thead>
  <tbody>
  <tr *ngFor="let acteur of acteurSelected"
      app-acteur-detail
      [acteur]="acteur">
  </tr>
  </tbody>
</table>
